apiVersion: v1
kind: Secret
metadata:
  name: {{ registry_address | lower | regex_replace('[\\.-_ ]', '') }}-{{ registry_imgset | default('main') }}
  namespace: {{ namespace }}
stringData:
  .dockerconfigjson: |
    {
        "auths": {
                "{{ registry_address }}": {
                        "email": "{{ registry_pull_email | default('') }}",
{% if registry_username | default(False) and registry_password | default(False) %}
                        "username":"{{ registry_username }}",
                        "password":"{{ registry_password }}",
                        "auth":"{{ (registry_username ~ ':' registry_password) | string | b64encode }}"
{% else %}
                        "auth": "{{ registry_pull_secret }}"
{% endif %}
                    }
            }
    }
type: kubernetes.io/dockerconfigjson
